<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
	<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
   	<link href="css/db.css" rel="STYLESHEET" type="TEXT/CSS" /> 

	<title>Liste Vertragsdaten</title>
</head>

<body>

<?php

/**
 * @author Bettina Schwarzer, Fritz-Haber-Institut
 * @copyright 5/2011
 * 
 * Liste Vertragsdaten
 */

	include_once($_SERVER['DOCUMENT_ROOT'] ."/fhiiqm/inc/dbconnect.inc.php");
	$dbc = new dbconnection();

    $sql = "SELECT contract_ID,contract_name,contract_s,contract_l,v.vtyp_ID,t.vtyp_bezeichnung,contract_begin,contract_end,
            contract_mon_notice,contract_file,Bemerkung 
            FROM fhiiqm.Vertrag v LEFT OUTER JOIN fhiiqm.Vertrag_Typ t ON v.vtyp_ID=t.vtyp_ID ORDER BY contract_name";
    $result = $dbc ->queryObjectArray($sql);
    if ($result)
    {
		$bg1 = "#F8F8F8";
		$bg2 = "#DEDFE1";
		$bg = "#FFFFFF";
        
        $sqlb = "SELECT CONCAT(nachname,', ',vorname) as pname FROM fhiiqm.Vertrag_Bearbeiter b INNER JOIN 
                fhiiqm.Mitarbeiter m ON b.persknr=m.persknr WHERE contract_ID= ";
        
        echo "<div align='center'>\n";
        echo "<p><b>Liste der erfassten Vertr&auml;ge</b></p>\n";
        printf ("<p>Es wurden %s Vertr&auml;ge gefunden.</p>", $dbc->numrows($sql));
        echo "<table>\n";
//        echo "<tr bgcolor='#CFDEF0'><th>Bezeichnung</th><th>Titel</th><th>Beschreibung</th><th>Typ</th><th>Beginn</th><th>Ende</th><th>K&uuml;nd.frist(mon)</th>
//                <th>Dokument</th><th>Bemerkung</th><th>&nbsp;</th></tr>\n";
        echo "<tr bgcolor='#68ACBF'><th>Bezeichnung</th><th>Beschreibung</th><th>Typ</th><th>Beginn</th><th>Ende</th><th>K&uuml;nd.frist(mon)</th>
                <th>Dokument</th><th>Bemerkung</th><th>&nbsp;</th></tr>\n";
        foreach ($result as $row)
        {
			if ($bg == $bg1) $bg = $bg2; else $bg = $bg1;
            echo "<tr bgcolor='" . $bg . "'><td><b>$row->contract_name</b></td>";    
//            echo "<td>$row->contract_s</td>";    
            echo "<td>$row->contract_l</td>";    
            echo "<td>$row->vtyp_bezeichnung</td>";
            if ($row->contract_begin)
            {
                $cb = new DateTime($row->contract_begin);    
                echo "<td>" . $cb->format('d.m.Y')."</td>";
            }
            else  echo "<td>&nbsp;</td>";       
            if ($row->contract_end)
            {
                $ce = new DateTime($row->contract_end);    
                echo "<td>" . $ce->format('d.m.Y')."</td>";    
            }
            else  echo "<td>&nbsp;</td>";       
            echo "<td align='right'>$row->contract_mon_notice</td>";    
            echo "<td><a href='documents/$row->contract_file'>$row->contract_file</a></td>";    
            echo "<td>$row->Bemerkung</td>";
            echo "<td><a href='vertrag_upd.php?uid=$row->contract_ID'><img src=\"img/edit.gif\" alt='edit' title='edit' border='0'/></a></td></tr>\n";
            if ($res = $dbc -> queryObjectArray($sqlb.$row->contract_ID ." ORDER BY pname")) 
            {
                echo "<tr bgcolor='" . $bg . "'><td><i>&nbsp;&nbsp;&nbsp;Bearbeiter</i></td><td colspan='9'><i>\n";
                foreach ($res as $ro)
                {
                    echo "$ro->pname;  ";
                }
                echo "</i></td></tr>\n";
            }   
       }
        echo "</table></div>\n";
    }
    $dbc -> close();
    echo "<p>&nbsp;&nbsp;&nbsp;<a href=\"vertrag_ins.php\" target=\"_self\" title=\"Vertrag erfassen\">Weiteren Vertrag erfassen</a></p>\n";    

?>
</body>
</html>