<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
	<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
   	<link href="css/db.css" rel="STYLESHEET" type="TEXT/CSS" media="screen "/> 
   	<link href="css/db_print.css" rel="STYLESHEET" type="TEXT/CSS" media="print" /> 

	<title>Liste Vertragsdaten, Teil 2</title>
</head>

<body>
    <div class="float-r"><img src="img/document_mark_as_final.png" border="0" alt="Vertr&auml;ge" title="Vertr&auml;ge"/></div>

<?php

/**
 * @author Bettina Schwarzer, Fritz-Haber-Institut
 * @copyright 7/2011
 * 
 * Liste Vertragsdaten mit Sortierung
 */

    error_reporting(E_ALL ^ E_NOTICE);
    
    $zeil = $_GET["z"];
    if (!$zeil) $zeil = 25; // Anzahl der gezeigten Zeilen
    $start = $_GET["st"];   // Start bei DS $start+1
    if (!$start) $start=0;
    
    // Felder, nach denen gefiltert werden kann
    $fields = array(2=>"Bezeichnung",4=>"Bearbeiter",6=>"Vertragstyp",7=>"Produkt");

	$sort   = $_GET["s"];
    $dir    = $_GET["d"];
    if (!isset($sort) && !$sort) $sort = 2;
    if (!isset($dir) && !$dir)  $dir = "";

    $fnum   = $_GET["f"];   // Spaltennummer, nach der aktuell gefiltert wird
    $filter = $_GET["b"];
    if (!isset($fnum) && !$fnum) $fnum = 0;
/*        
    function tab_column($colnum=2,$bez,$sort,$dir)
    {
        if ($colnum == $sort)
            if ($dir == 'DESC')
            {
                $auf = "auf";
                $ab = "ab_activ";
            }
            else
            {
                $auf = "auf_activ";
                $ab = "ab";
            }
        else
        {
                $auf = "auf";
                $ab = "ab";
        }
        echo "<th>$bez&nbsp;<a href='".$_SERVER['PHP_SELF']."?s=$colnum'><img src='img/$auf.gif' border='0' width='9' hight='9' alt='sort aufsteigend' title='sort aufsteigend'></a>            
                  <a href='".$_SERVER['PHP_SELF']."?s=$colnum&d=DESC'><img src='img/$ab.gif' border='0' width='9' hight='9' alt='sort absteigend' title='sort absteigend'></a></th>\n";
       
    }
*/    
    include_once($_SERVER['DOCUMENT_ROOT'] ."/fhiiqm/inc/dbconnect.inc.php");
    include ($_SERVER['DOCUMENT_ROOT'] ."/fhiiqm/inc/func_lib.inc.php");
	$dbc = new dbconnection();

    $sql = "CALL fhiiqm.vertrag_flist2(" . $sort . ",'" . $dir . "', " . $fnum . ", '" . $filter . "',$start,$zeil, @anz, @ganz)";
    // Parameter: Nr. Sortfelf, Sortierrichtung, Nr. Filterfeld, Filterbegriff, Start bei DS $start+1, Anzahl DS/Seite, Anzahl gefundener Vertraege, Anzahl DS gesamt
    // liefert Felder: contract_ID,cname,clong,bearb,doc,typ,prod,cbegin,cend,kmon,partfirmar,kyear,kosten,bem
    $result = $dbc -> queryObjectArray($sql);
    if ($result)
    {
		$bg1 = "#F8F8F8";
		$bg2 = "#DEDFE1";
		$bg = "#FFFFFF";
        
        $vanz = $dbc -> querySingleItem("SELECT @anz");
        $ganz = $dbc -> querySingleItem("SELECT @ganz");
        
        echo "<div align='center'>\n";
        echo "<p><b>Liste der erfassten Vertr&auml;ge, Teil 2</b></p>\n";
        echo "<table border='0' cellspacing='0'>\n";
        echo "<tr><td class='bigger'>Mittels '<img src='img/auf.gif' border='0' width='9' hight='9'>' / '<img src='img/ab.gif' border='0' width='9' hight='9'>' 
            knnen Sie Spalten auf- bzw. absteigend sortieren</td></tr>
            <tr><td class='bigger'>Klick auf '<img src='img/edit.gif' border='0' width='11' hight='11'>' - Bearbeiten der Vertragsdaten</td></tr>\n";
        echo "</table>\n";
        printf ("<p>Anzahl Vertr&auml;ge: %s </p>", $vanz);
        echo "<table>\n";

        if ($filter>'!') echo "<tr><td class='bigger' colspan=7>Filter: ". $fields["$fnum"] . " wie '$filter'</td><tr>\n";

        echo "<tr bgcolor='#68ACBF'>";
        tab_column(2,"Bezeichnung",$sort,$dir,0,$fnum,$filter,$start,$zeil);
        tab_column(8,"Beginn",$sort,$dir,0,$fnum,$filter,$start,$zeil);
        tab_column(9,"Ende",$sort,$dir,0,$fnum,$filter,$start,$zeil);
        tab_column(10,"K&uuml;nd.frist",$sort,$dir,0,$fnum,$filter,$start,$zeil);
        tab_column(11,"Partner",$sort,$dir,0,$fnum,$filter,$start,$zeil);
        echo "<th>Kosten/Jahr(&euro;)</th>";
        echo "<th>Bemerkung</th>";

        echo "<th>&nbsp;</th></tr>\n";
        $cid=0;
        foreach ($result as $row)
        {
            if ($row->contract_ID != $cid && $cid != 0)
            {   // nicht beim 1. Datensatz
                echo "</td>";
                echo "<td>$bem</td>";    
                echo "<td><a href='vertrag_upd.php?uid=$cid'><img src=\"img/edit.gif\" alt='edit' title='edit' border='0'/></a></td></tr>\n";
            }
            if ($row->contract_ID != $cid)
            {   // Anzeigen der nur einmal relevanten Daten
    			if ($bg == $bg1) $bg = $bg2; else $bg = $bg1;
                echo "<tr bgcolor='" . $bg . "'><td><b>$row->cname</b></td>";    
    //            echo "<td>$row->contract_s</td>";    
                if ($row->cbegin)
                {
                    $cb = new DateTime($row->cbegin);    
                    echo "<td>" . $cb->format('d.m.Y')."</td>";
                }
                else  echo "<td>&nbsp;</td>";       
                if ($row->cend)
                {
                    $ce = new DateTime($row->cend);    
                    echo "<td>" . $ce->format('d.m.Y')."</td>";    
                }
                else  echo "<td>&nbsp;</td>";       
                echo "<td align='right'>$row->kmon</td>";    
                echo "<td>$row->partfirma</td>";
                echo "<td>"; 
                $bem = nl2br($row->bem);   
            }
            // Anzeigen Kosten pro Jahr -> 1 Zeile des Resultsets
            if ($row->kosten) echo "$row->kyear:&nbsp;&nbsp;&nbsp;" . str_replace(' ','&nbsp;',str_replace('.',',',sprintf('%10.2f',$row->kosten))) . "<br />";
            $cid = $row->contract_ID;    
       }
        echo "</td>";
        echo "<td>$bem</td>";    
        echo "<td><a href='vertrag_upd.php?uid=$cid'><img src=\"img/edit.gif\" alt='edit' title='edit' border='0'/></a></td></tr>\n";
        echo "</table></div>\n";
        echo "<br />&nbsp;&nbsp;&nbsp;";
        
        // Sortierung und Filter aus $_GET fuer weitere Seiten
        foreach ($_GET as $key=>$val)
        {
            if ($key != "st") $liste .= "&" . $key ."=".$val;
        }    
        // Sortierung und Filter aus $_POST fuer weitere Seiten
        if ($subf)
        foreach ($_POST as $key=>$val)
        {
            if ($key != "st" && $key != "subf" && $key != "filter") $liste .= "&" . $key ."=".$val;
            if ($key == "filter") $liste .= "&b=" . $val;
        }    
        
        // Links auf andere Seiten generieren
        liste_links($start,$zeil,$ganz,$liste);
    }
    else
    {
        print_r ($dbc -> error);
    }
    $dbc -> close();
    echo "<p>&nbsp;&nbsp;&nbsp;<a href=\"vertrag_ins.php\" class=\"sc\" target=\"_self\" title=\"Vertrag erfassen\">Weiteren Vertrag erfassen</a></p>\n";    

?>
</body>
</html>